<?xml version="1.0" encoding="utf-8"?>

<File Version="1.0">

	<ExtensionPoint ID="I_PbUserSkin" Enable="1">
		<Plugin ID="GamingKeyboard" Bundle="GamingKeyboardSkin.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbUserSkin" PluginID="GamingForce"/>
			<Collaboration ExtensionPointID="I_PbMessageBoxProvider" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="I_PbUITextProvider" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="I_PbUITextProvider" PluginID="GamingKeyboardTooltip"/>
		</Plugin>
	</ExtensionPoint>

	<ExtensionPoint ID="I_PbSkinTextColor" Enable="1">
		<Plugin ID="GK::SkinDialog" Bundle="GamingKeyboardSkin.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbUserSkin" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="CWTWindowPrototype" PluginID="GK::SkinDialog"/>
		</Plugin>
		<Plugin ID="GK::CustomizeUI" Bundle="GamingKeyboardSkin.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbUserSkin" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="CWTWindowPrototype" PluginID="GK::CustomizeUI"/>
		</Plugin>
		<Plugin ID="GK::LightingUI" Bundle="GamingKeyboardSkin.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbUserSkin" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="CWTWindowPrototype" PluginID="GK::LightingUI"/>
		</Plugin>
		<Plugin ID="GK::GamingModeUI" Bundle="GamingKeyboardSkin.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbUserSkin" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="CWTWindowPrototype" PluginID="GK::GamingModeUI"/>
			<ExtraConfig>
				<Exclude>GK::ID_GAMEMODE_ModeOffColor</Exclude>
			</ExtraConfig>
		</Plugin>
		<Plugin ID="GK::MacroUI" Bundle="GamingKeyboardSkin.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbUserSkin" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="CWTWindowPrototype" PluginID="GK::MacroUI"/>
		</Plugin>
		<Plugin ID="GK::ProfileDialog" Bundle="GamingKeyboardSkin.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbUserSkin" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="CWTWindowPrototype" PluginID="GK::ProfileDialog"/>
		</Plugin>
		<Plugin ID="GK::MacroEditDialog" Bundle="GamingKeyboardSkin.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbUserSkin" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="CWTWindowPrototype" PluginID="GK::MacroEditDialog"/>
		</Plugin>
		<Plugin ID="GK::DelayTimeDialog" Bundle="GamingKeyboardSkin.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbUserSkin" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="CWTWindowPrototype" PluginID="GK::DelayTimeDialog"/>
		</Plugin>
		<Plugin ID="GK::RenameDialog" Bundle="GamingKeyboardSkin.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbUserSkin" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="CWTWindowPrototype" PluginID="GK::RenameDialog"/>
		</Plugin>
		<Plugin ID="GK::KeyboardKeyDialog" Bundle="GamingKeyboardSkin.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbUserSkin" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="CWTWindowPrototype" PluginID="GK::KeyboardKeyDialog"/>
		</Plugin>
		<Plugin ID="GK::SingleKeyDialog" Bundle="GamingKeyboardSkin.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbUserSkin" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="CWTWindowPrototype" PluginID="GK::SingleKeyDialog"/>
		</Plugin>
		<Plugin ID="GK::MouseFunctionDialog" Bundle="GamingKeyboardSkin.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbUserSkin" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="CWTWindowPrototype" PluginID="GK::MouseFunctionDialog"/>
		</Plugin>
		<Plugin ID="GK::MacroKeyDialog" Bundle="GamingKeyboardSkin.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbUserSkin" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="CWTWindowPrototype" PluginID="GK::MacroKeyDialog"/>
		</Plugin>
		<!--Plugin ID="GK::SwitchProfileDialog" Bundle="GamingKeyboardSkin.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbUserSkin" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="CWTWindowPrototype" PluginID="GK::SwitchProfileDialog"/>
		</Plugin-->	
		<Plugin ID="GK::MediaKeyDialog" Bundle="GamingKeyboardSkin.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbUserSkin" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="CWTWindowPrototype" PluginID="GK::MediaKeyDialog"/>
		</Plugin>
		<Plugin ID="GK::StartProcessDialog" Bundle="GamingKeyboardSkin.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbUserSkin" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="CWTWindowPrototype" PluginID="GK::StartProcessDialog"/>
		</Plugin>
		<Plugin ID="GK::WindowsKeyDialog" Bundle="GamingKeyboardSkin.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbUserSkin" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="CWTWindowPrototype" PluginID="GK::WindowsKeyDialog"/>
		</Plugin>
		<Plugin ID="GK::ConfiguratorDialog" Bundle="GamingKeyboardSkin.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbUserSkin" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="CWTWindowPrototype" PluginID="GK::ConfiguratorDialog"/>
		</Plugin>
		<Plugin ID="GK::LightingPaletteDialog" Bundle="GamingKeyboardSkin.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbUserSkin" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="CWTWindowPrototype" PluginID="GK::LightingPaletteDialog"/>
		</Plugin>
		<Plugin ID="GK::ComboKeyDialog" Bundle="GamingKeyboardSkin.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbUserSkin" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="CWTWindowPrototype" PluginID="GK::ComboKeyDialog"/>
		</Plugin>
	</ExtensionPoint>

	<ExtensionPoint ID="I_PbSkinLanguage" Enable="1">
		<Plugin ID="GK::SkinDialog" Bundle="GamingKeyboardSkin.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbUserSkin" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="GK::I_PbUserProfileFacade" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="I_PbUITextProvider" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="I_PbUITextProvider" PluginID="GamingKeyboardTooltip"/>
			<Collaboration ExtensionPointID="CWTWindowPrototype" PluginID="GK::SkinDialog"/>
		</Plugin>
		<Plugin ID="GK::CustomizeUI" Bundle="GamingKeyboardSkin.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbUserSkin" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="GK::I_PbUserProfileFacade" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="I_PbUITextProvider" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="I_PbUITextProvider" PluginID="GamingKeyboardTooltip"/>
			<Collaboration ExtensionPointID="CWTWindowPrototype" PluginID="GK::CustomizeUI"/>
		</Plugin>
		<Plugin ID="GK::LightingUI" Bundle="GamingKeyboardSkin.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbUserSkin" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="GK::I_PbUserProfileFacade" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="I_PbUITextProvider" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="I_PbUITextProvider" PluginID="GamingKeyboardTooltip"/>
			<Collaboration ExtensionPointID="CWTWindowPrototype" PluginID="GK::LightingUI"/>
		</Plugin>
		<Plugin ID="GK::GamingModeUI" Bundle="GamingKeyboardSkin.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbUserSkin" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="GK::I_PbUserProfileFacade" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="I_PbUITextProvider" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="I_PbUITextProvider" PluginID="GamingKeyboardTooltip"/>
			<Collaboration ExtensionPointID="CWTWindowPrototype" PluginID="GK::GamingModeUI"/>
		</Plugin>
		<Plugin ID="GK::MacroUI" Bundle="GamingKeyboardSkin.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbUserSkin" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="GK::I_PbUserProfileFacade" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="I_PbUITextProvider" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="I_PbUITextProvider" PluginID="GamingKeyboardTooltip"/>
			<Collaboration ExtensionPointID="CWTEventListener" PluginID="GK::MacroUI"/>
			<Collaboration ExtensionPointID="CWTWindowPrototype" PluginID="GK::MacroUI"/>
		</Plugin>
		<Plugin ID="GK::ProfileDialog" Bundle="GamingKeyboardSkin.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbUserSkin" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="GK::I_PbUserProfileFacade" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="I_PbUITextProvider" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="I_PbUITextProvider" PluginID="GamingKeyboardTooltip"/>
			<Collaboration ExtensionPointID="CWTWindowPrototype" PluginID="GK::ProfileDialog"/>
		</Plugin>
		<Plugin ID="GK::MacroEditDialog" Bundle="GamingKeyboardSkin.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbUserSkin" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="GK::I_PbUserProfileFacade" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="I_PbUITextProvider" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="I_PbUITextProvider" PluginID="GamingKeyboardTooltip"/>
			<Collaboration ExtensionPointID="CWTWindowPrototype" PluginID="GK::MacroEditDialog"/>
		</Plugin>
		<Plugin ID="GK::DelayTimeDialog" Bundle="GamingKeyboardSkin.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbUserSkin" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="GK::I_PbUserProfileFacade" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="I_PbUITextProvider" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="I_PbUITextProvider" PluginID="GamingKeyboardTooltip"/>
			<Collaboration ExtensionPointID="CWTWindowPrototype" PluginID="GK::DelayTimeDialog"/>
		</Plugin>
		<Plugin ID="GK::RenameDialog" Bundle="GamingKeyboardSkin.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbUserSkin" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="GK::I_PbUserProfileFacade" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="I_PbUITextProvider" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="I_PbUITextProvider" PluginID="GamingKeyboardTooltip"/>
			<Collaboration ExtensionPointID="CWTWindowPrototype" PluginID="GK::RenameDialog"/>
		</Plugin>
		<Plugin ID="GK::KeyboardKeyDialog" Bundle="GamingKeyboardSkin.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbUserSkin" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="GK::I_PbUserProfileFacade" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="I_PbUITextProvider" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="I_PbUITextProvider" PluginID="GamingKeyboardTooltip"/>
			<Collaboration ExtensionPointID="CWTWindowPrototype" PluginID="GK::KeyboardKeyDialog"/>
		</Plugin>
		<Plugin ID="GK::SingleKeyDialog" Bundle="GamingKeyboardSkin.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbUserSkin" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="GK::I_PbUserProfileFacade" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="I_PbUITextProvider" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="I_PbUITextProvider" PluginID="GamingKeyboardTooltip"/>
			<Collaboration ExtensionPointID="CWTWindowPrototype" PluginID="GK::SingleKeyDialog"/>
		</Plugin>
		<Plugin ID="GK::MouseFunctionDialog" Bundle="GamingKeyboardSkin.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbUserSkin" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="GK::I_PbUserProfileFacade" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="I_PbUITextProvider" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="I_PbUITextProvider" PluginID="GamingKeyboardTooltip"/>
			<Collaboration ExtensionPointID="CWTWindowPrototype" PluginID="GK::MouseFunctionDialog"/>
		</Plugin>
		<Plugin ID="GK::MacroKeyDialog" Bundle="GamingKeyboardSkin.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbUserSkin" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="GK::I_PbUserProfileFacade" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="I_PbUITextProvider" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="I_PbUITextProvider" PluginID="GamingKeyboardTooltip"/>
			<Collaboration ExtensionPointID="CWTWindowPrototype" PluginID="GK::MacroKeyDialog"/>
		</Plugin>
		<!--Plugin ID="GK::SwitchProfileDialog" Bundle="GamingKeyboardSkin.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbUserSkin" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="GK::I_PbUserProfileFacade" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="I_PbUITextProvider" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="I_PbUITextProvider" PluginID="GamingKeyboardTooltip"/>
			<Collaboration ExtensionPointID="CWTWindowPrototype" PluginID="GK::SwitchProfileDialog"/>
		</Plugin-->
		<Plugin ID="GK::StartProcessDialog" Bundle="GamingKeyboardSkin.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbUserSkin" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="GK::I_PbUserProfileFacade" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="I_PbUITextProvider" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="I_PbUITextProvider" PluginID="GamingKeyboardTooltip"/>
			<Collaboration ExtensionPointID="CWTWindowPrototype" PluginID="GK::StartProcessDialog"/>
		</Plugin>
		<Plugin ID="GK::MediaKeyDialog" Bundle="GamingKeyboardSkin.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbUserSkin" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="GK::I_PbUserProfileFacade" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="I_PbUITextProvider" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="I_PbUITextProvider" PluginID="GamingKeyboardTooltip"/>
			<Collaboration ExtensionPointID="CWTWindowPrototype" PluginID="GK::MediaKeyDialog"/>
		</Plugin>
		<Plugin ID="GK::WindowsKeyDialog" Bundle="GamingKeyboardSkin.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbUserSkin" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="GK::I_PbUserProfileFacade" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="I_PbUITextProvider" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="I_PbUITextProvider" PluginID="GamingKeyboardTooltip"/>
			<Collaboration ExtensionPointID="CWTWindowPrototype" PluginID="GK::WindowsKeyDialog"/>
		</Plugin>
		<Plugin ID="GK::StartProcessDialog" Bundle="GamingKeyboardSkin.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbUserSkin" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="GK::I_PbUserProfileFacade" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="I_PbUITextProvider" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="I_PbUITextProvider" PluginID="GamingKeyboardTooltip"/>
			<Collaboration ExtensionPointID="CWTWindowPrototype" PluginID="GK::StartProcessDialog"/>
		</Plugin>
		<Plugin ID="GK::ConfiguratorDialog" Bundle="GamingKeyboardSkin.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbUserSkin" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="GK::I_PbUserProfileFacade" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="I_PbUITextProvider" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="I_PbUITextProvider" PluginID="GamingKeyboardTooltip"/>
			<Collaboration ExtensionPointID="CWTWindowPrototype" PluginID="GK::ConfiguratorDialog"/>
		</Plugin>
		<Plugin ID="GK::LightingPaletteDialog" Bundle="GamingKeyboardSkin.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbUserSkin" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="GK::I_PbUserProfileFacade" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="I_PbUITextProvider" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="I_PbUITextProvider" PluginID="GamingKeyboardTooltip"/>
			<Collaboration ExtensionPointID="CWTWindowPrototype" PluginID="GK::LightingPaletteDialog"/>
		</Plugin>
		<Plugin ID="GK::ComboKeyDialog" Bundle="GamingKeyboardSkin.dll" Enable="1">
			<Collaboration ExtensionPointID="I_PbUserSkin" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="GK::I_PbUserProfileFacade" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="I_PbUITextProvider" PluginID="GamingKeyboard"/>
			<Collaboration ExtensionPointID="I_PbUITextProvider" PluginID="GamingKeyboardTooltip"/>
			<Collaboration ExtensionPointID="CWTWindowPrototype" PluginID="GK::ComboKeyDialog"/>
		</Plugin>
	</ExtensionPoint>

</File>
